<?xml version="1.0"?>

<!--***********************************************************************--> 
<!-- XSLT version 0.1 of theory objects to theory sections:                -->
<!-- First draft: May 08 2000, Claudio Sacerdoti Coen, Irene Schena        -->
<!--***********************************************************************--> 

<xsl:stylesheet version="0.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:import href="rootcontent.xsl"/>

<!--******************************************************************-->
<!-- Variable containing the absolute path of the CIC file            -->
<!--******************************************************************-->

<xsl:variable name="absPath">http://localhost:8081/get?url=</xsl:variable>

<!-- THEORY -->

<xsl:template match="Theory">
    <SECTION>
     <xsl:apply-templates><xsl:with-param name="current_uri" select="string(@uri)"/></xsl:apply-templates>
    </SECTION>
</xsl:template>

<!-- SUBTHEORY -->

<xsl:template match="SECTION">
<xsl:param name="current_uri"/>
    <SECTION>
     <xsl:apply-templates><xsl:with-param name="current_uri" select="concat($current_uri,&quot;/&quot;,string(@uri))"/></xsl:apply-templates>
    </SECTION>
</xsl:template>

<!-- THEORY ELEMENTS -->

<xsl:template match="DEFINITION">
<xsl:param name="current_uri"/>
    <xsl:apply-templates select="document(concat(string($absPath),string($current_uri),&quot;/&quot;,string(@uri)))"/>
</xsl:template>

<xsl:template match="AXIOM">
<xsl:param name="current_uri"/>
    <xsl:apply-templates select="document(concat(string($absPath),string($current_uri),&quot;/&quot;,string(@uri)))"/>
</xsl:template>

<xsl:template match="THEOREM">
<xsl:param name="current_uri"/>
    <xsl:apply-templates select="document(concat(string($absPath),string($current_uri),&quot;/&quot;,string(@uri)))"/>
</xsl:template>

<xsl:template match="VARIABLE">
<xsl:param name="current_uri"/>
    <xsl:apply-templates select="document(concat(string($absPath),string($current_uri),&quot;/&quot;,string(@uri)))"/>
</xsl:template>

</xsl:stylesheet>
